Package org.bukkit.inventory.meta

# Interface BookMeta.BookMetaBuilder

All Superinterfaces:
  `Book.Builder`, `Buildable.Builder<Book>`

Enclosing interface:
  BookMeta

public static interface BookMeta.BookMetaBuilder extends Book.Builder

## Method Summary

Modifier and Type
Method
Description
`@NotNull BookMeta.BookMetaBuilder`
`addPage(Component page)`
Add a page to the book.
`@NotNull BookMeta.BookMetaBuilder`
`author(Component author)`
Set the author.
`@NotNull BookMeta`
`build()`
Builds.
`@NotNull BookMeta.BookMetaBuilder`
`pages(@NotNull Component... pages)`
Add pages to the book.
`@NotNull BookMeta.BookMetaBuilder`
`pages(Collection<Component> pages)`
Add pages to the book.
`@NotNull BookMeta.BookMetaBuilder`
`title(Component title)`
Set the title.

## Method Details

### title

@NotNull @NotNull BookMeta.BookMetaBuilder title(@Nullable Component title)
Description copied from interface: `net.kyori.adventure.inventory.Book.Builder`
Set the title.

Specified by:
  `title` in interface `Book.Builder`
Parameters:
  `title` - the title
Returns:
  this

### author

@NotNull @NotNull BookMeta.BookMetaBuilder author(@Nullable Component author)
Description copied from interface: `net.kyori.adventure.inventory.Book.Builder`
Set the author.

Specified by:
  `author` in interface `Book.Builder`
Parameters:
  `author` - the author
Returns:
  this

### addPage

@NotNull @NotNull BookMeta.BookMetaBuilder addPage(@NotNull Component page)
Description copied from interface: `net.kyori.adventure.inventory.Book.Builder`
Add a page to the book.

Each page's length will be limited by the size of the client's book viewer. Any text that does not fit will be truncated clientside.

Specified by:
  `addPage` in interface `Book.Builder`
Parameters:
  `page` - the page
Returns:
  this

### pages

@NotNull @NotNull BookMeta.BookMetaBuilder pages(@NotNull @NotNull Component... pages)
Description copied from interface: `net.kyori.adventure.inventory.Book.Builder`
Add pages to the book.

Specified by:
  `pages` in interface `Book.Builder`
Parameters:
  `pages` - pages to add
Returns:
  this
See Also:
  - `for details on page values`

### pages

@NotNull @NotNull BookMeta.BookMetaBuilder pages(@NotNull Collection<Component> pages)
Description copied from interface: `net.kyori.adventure.inventory.Book.Builder`
Add pages to the book.

Specified by:
  `pages` in interface `Book.Builder`
Parameters:
  `pages` - pages to add
Returns:
  this
See Also:
  - `for details on page values`

### build

@NotNull @NotNull BookMeta build()
Description copied from interface: `net.kyori.adventure.inventory.Book.Builder`
Builds.

Specified by:
  `build` in interface `Book.Builder`
Specified by:
  `build` in interface `Buildable.Builder<Book>`
Returns:
  a new book